Bug 250440 - www/bareos-webui: [PATCH] update to 19.2.8
Summary: www/bareos-webui: [PATCH] update to 19.2.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Jose Alonso Cardenas Marquez
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-10-19 01:29 UTC by Brad Ackerman
Modified: 2020-12-27 18:05 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (acm)


Attachments
Patch for bareos-webui port upgrade to 19.2.8. (9.17 KB, patch)
2020-10-19 01:29 UTC, Brad Ackerman
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Brad Ackerman 2020-10-19 01:29:05 UTC
Created attachment 218867 [details]
Patch for bareos-webui port upgrade to 19.2.8.

The attached patch updates the Bareos version to 19.2.8. There are a few additional changes:

* Uses the upstream-provided CMakeLists.txt instead of doing everything in the port Makefile.
* Removes the optional Zend Framework dependency (had no effect on built package)
* Removes a .bak file from the installed package
* Copyediting and an updated URL for the install message
* Installs sample files and tests that previously weren't, and corrects permissions on installed Bareos configuration files (prevents failure to launch director)

Closes #250260.
Comment 1 Automation User 2020-11-03 04:10:22 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/210913990
Comment 2 commit-hook freebsd_committer 2020-12-27 17:41:10 UTC
A commit references this bug:

Author: acm
Date: Sun Dec 27 17:40:58 UTC 2020
New revision: 559386
URL: https://svnweb.freebsd.org/changeset/ports/559386

Log:
  - Copy bareos-* to bareos19-* preparing for update bareos to 20.0.0
  - Clean port [1]

  PR:		250440
  Submitted by:	brad  at  facefault.org [1]

Changes:
  head/www/bareos19-webui/
  head/www/bareos19-webui/Makefile
  head/www/bareos19-webui/files/pkg-message.in
  head/www/bareos19-webui/pkg-plist
Comment 3 Jose Alonso Cardenas Marquez freebsd_committer 2020-12-27 18:05:31 UTC
(In reply to Brad Ackerman from comment #0)

Hi, I have committed some of your changes with some exceptions:

- It doesn't create bareos users/groups. It must be done from bareos-server/bareos-client because it needs it. bareos-webui doesn't need bareos users/groups to run
- It installs configuration/samples files to ${PREFIX}/etc/bareos-webui. bareos-webui is not always installed on the same director server. if so any one can use samples files from etc/bareos-webui directory and change permissions manually (I put some lines about it into pkg-message file)
- I prefer avoid patching CMakeLists.txt file on this moment

Thanks for your patch file